CREATE OR REPLACE FUNCTION public.discipline_setglobal(pdisciplineid integer)
    RETURNS integer
    LANGUAGE plpgsql
AS $function$
BEGIN

    UPDATE disciplines SET isglobal=TRUE
    WHERE disciplines.id = pdisciplineid;

    RETURN 0;
EXCEPTION
    when others
        then RETURN -1;
end
$function$;

CREATE OR REPLACE FUNCTION public.discipline_setnotglobal(pdisciplineid integer)
    RETURNS integer
    LANGUAGE plpgsql
AS $function$
BEGIN

    UPDATE disciplines SET isglobal=FALSE
    WHERE disciplines.id = pdisciplineid;

    RETURN 0;
EXCEPTION
    when others
        then RETURN -1;
end
$function$;